Bug 837377 - rescue image (from PXE) don't ask for keyboard
rescue image (from PXE) don't ask for keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 12:13 EDT by Derrien
Modified: 2013-07-31 14:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:27:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derrien 2012-07-03 12:13:49 EDT
Description of problem:
rescue image (boot from PXE) doesn't ask for language or keyboard 

Extract from pxe config :

label rescue
  menu indent count 5
  menu label ^Rescue a Fedora system.
  text help
        If the system will not boot, this lets you access files
        and edit config files to try to get it booting again.
  endtext
  kernel fedora-17_64/vmlinuz
  append initrd=fedora-17_64/initrd.img repo=nfs:xxxx:/vol/ren1b_soft_unix/linux/distribution/fedora-17_64/x86_64/os/ rescue

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
rescue uses us keyboard

Expected results:
rescue ask for keyboard type

Additional info:
Comment 1 Jesse Keating 2012-07-11 20:41:18 EDT
This is certainly the case, I can duplicate it here.  There just aren't any steps in the rescue path that would prompt for keyboard/language.  You can supply them at the boot prompt via keymap= and lang= options.

With the newui redesign we'll have to decide if we want to prompt for rescue and how that fits into the new UI.  Leaving this open for now.
Comment 2 Derrien 2012-07-12 04:43:23 EDT
Thanks.
But http://docs.fedoraproject.org/en-US/Fedora/17/html/Installation_Guide/sn-mode-rescue.html needs some cleaning...
Comment 3 Jesse Keating 2012-07-12 13:26:11 EDT
Yes, please file a bug with the docs team about that.
Comment 4 Fedora End Of Life 2013-07-03 21:11:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Steve Tyler 2013-07-12 13:15:03 EDT
With F19, keyboard and language menus are still not displayed in rescue mode.
Could someone please bump the version to 19?

Martin: What is the plan here?

See also:
Bug 983872 - one keyboard in rescue mode

Tested with:
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on
Comment 6 Steve Tyler 2013-07-12 13:49:31 EDT
F16 appears to be the last release that provided keyboard and language menus in rescue mode.

Tested with:
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F16/Fedora-16-x86_64-DVD.iso -vga std -boot menu=on
Comment 7 Fedora End Of Life 2013-07-31 14:27:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.